Loading...
Searching...
No Matches
juce::Analytics Class Reference

## Detailed Description

A singleton class to manage analytics data.

Use an Analytics object to manage sending analytics data to one or more AnalyticsDestinations.

See also
  AnalyticsDestination, ThreadedAnalyticsDestination, AnalyticsDestination::AnalyticsEvent

The documentation for this class was generated from the following file:

- juce_analytics/analytics/juce_Analytics.h

Inheritance diagram for juce::Analytics:

## Public Member Functions

void | addDestination (AnalyticsDestination *destination)
| Adds an AnalyticsDestination to the list of AnalyticsDestinations managed by this Analytics object.
OwnedArray< AnalyticsDestination > & | getDestinations ()
| Returns the array of AnalyticsDestinations managed by this class.
void | setUserId (String newUserId)
| Sets a user ID that will be added to all AnalyticsEvents sent to AnalyticsDestinations.
void | setUserProperties (StringPairArray properties)
| Sets some user properties that will be added to all AnalyticsEvents sent to AnalyticsDestinations.
void | logEvent (const String &eventName, const StringPairArray &parameters, int eventType=0)
| Sends an AnalyticsEvent to all AnalyticsDestinations.
void | setSuspended (bool shouldBeSuspended)
| Suspends analytics submissions to AnalyticsDestinations.

## Additional Inherited Members

Static Public Member Functions inherited from juce::DeletedAtShutdown
static void | deleteAll ()
| Deletes all extant objects.
Protected Member Functions inherited from juce::DeletedAtShutdown
| DeletedAtShutdown ()
| Creates a DeletedAtShutdown object.
virtual | ~DeletedAtShutdown ()
| Destructor.

## Member Functions

## addDestination()

void juce::Analytics::addDestination | ( | AnalyticsDestination * | destination | ) |

Adds an AnalyticsDestination to the list of AnalyticsDestinations managed by this Analytics object.

The Analytics class will take ownership of the AnalyticsDestination passed to this function.

Parameters

  destination | the AnalyticsDestination to manage

## getDestinations()

OwnedArray< AnalyticsDestination > & juce::Analytics::getDestinations | ( |  | ) |

Returns the array of AnalyticsDestinations managed by this class.

If you have added any subclasses of ThreadedAnalyticsDestination to this class then you can remove them from this list to force them to flush any pending events.

## setUserId()

void juce::Analytics::setUserId | ( | String | newUserId | ) |

Sets a user ID that will be added to all AnalyticsEvents sent to AnalyticsDestinations.

Parameters

  newUserId | the userId to add to AnalyticsEvents

## setUserProperties()

void juce::Analytics::setUserProperties | ( | StringPairArray | properties | ) |

Sets some user properties that will be added to all AnalyticsEvents sent to AnalyticsDestinations.

Parameters

  properties | the userProperties to add to AnalyticsEvents

## logEvent()

void juce::Analytics::logEvent | ( | const String & | eventName,
|  | const StringPairArray & | parameters,
|  | int | eventType = 0 )

Sends an AnalyticsEvent to all AnalyticsDestinations.

The AnalyticsEvent will be timestamped, and will have the userId and userProperties populated by values previously set by calls to setUserId and setUserProperties. The name, parameters and type will be populated by the arguments supplied to this function.

Parameters

  eventName | the event name
  parameters | the event parameters
  eventType | (optional) an integer to indicate the event type, which will be set to 0 if not supplied.

## setSuspended()

void juce::Analytics::setSuspended | ( | bool | shouldBeSuspended | ) |

Suspends analytics submissions to AnalyticsDestinations.

Parameters

  shouldBeSuspended | if event submission should be suspended

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited